Browse Source

autotest: fixed handling for wiki and xml generation

mission-4.1.18
Andrew Tridgell 12 years ago
parent
commit
4f33e4e114
  1. 2
      Tools/autotest/param_metadata/param_parse.py
  2. 5
      Tools/scripts/build_parameters.sh

2
Tools/autotest/param_metadata/param_parse.py

@ -107,7 +107,7 @@ for library in libraries: @@ -107,7 +107,7 @@ for library in libraries:
debug("\n Processing file '%s'" % path)
if path.endswith('.pde'):
if len(vehicles) != 1:
error("Unable to handle multiple vehicles with .pde library")
print("Unable to handle multiple vehicles with .pde library")
continue
libraryfname = os.path.join(vehicles[0].path, path)
else:

5
Tools/scripts/build_parameters.sh

@ -5,7 +5,10 @@ set -e @@ -5,7 +5,10 @@ set -e
# work from either APM directory or above
[ -d ArduPlane ] || cd APM
./Tools/autotest/param_metadata/param_parse.py > param.out || exit 1
./Tools/autotest/param_metadata/param_parse.py > param.out || {
echo "Parameter parsing failed"
exit 1
}
/bin/mkdir -p ../buildlogs/Parameters
/bin/cp Parameters.wiki Parameters.html *.pdef.xml ../buildlogs/Parameters/

Loading…
Cancel
Save